; generali.el

(defun apri(A) (interactive)
  (find-file-other-window A))

(defun can() (interactive)
  (mark-whole-buffer) (delete-region (point) (mark))
  (fondamentale) (salvabuffer))

(defun cancella-da-qui() (interactive)
  (end-of-buffer) (exchange-point-and-mark)
  (delete-region (point) (mark)) (salvabuffer))

(defun cancellaregione() (interactive)
  (delete-region (point) (mark)))

(defun clickfile() (interactive)
  (if (string= mode-name "Dired by name") (dired-find-file-other-window))
  (if (string= mode-name "Buffer Menu") (Buffer-menu-other-window)))

(defun es() (interactive)
  (salvabuffer) (compile buffer-file-name))

(defun es-alfa() (interactive)
  (salvabuffer) (compile "alfa"))

(defun fileretro () (interactive)
  (salvabuffer) (switch-to-buffer ()))

(defun fondamentale() (interactive)
  (if (or (string= mode-name "Mail") (string-match "RMAIL" mode-name)) nil
  (fundamental-mode)) (beginning-of-buffer))

(defun goto() (interactive)
  (goto-line (input-numero "goto: ")))

(defun maiuscole() (interactive)
  (upcase-region (point) (mark)) (salvabuffer))

(defun make() (interactive)
  (salvabuffer) (compile "make"))

(defun minuscole() (interactive)
  (downcase-region (point) (mark)) (salvabuffer))

(defun prefisso() (interactive)
  (string-rectangle (mark) (point) (input-parola "Prefisso: ")))

(defun stampa-buffer() (interactive)
  (salvabuffer) (shell-command (concat "lpr -s " buffer-file-name)))

(defun stampa-selezione() (interactive)
  (apri "/tmp/cancellabile") (can) (yank) (stampa-buffer) (can)
  (fileretro))

(defun stringi() (interactive)
  (mark-whole-buffer) (fill-region (mark) (point))
  (salvabuffer))

(defun x-font()
  (and window-system (set-default-font "6x13")))
